Taproot is Now Available on Litecoin via v0.21.1rc1 Release Candidate

We are pleased to release Litecoin Core 0.21.1rc1. This is a new major version release, including new features, performance improvements, as well as updated translations. It is recommended for all users to upgrade to this version.

Included in this release is the long-awaited Taproot upgrade which provides enhanced security, privacy improvements to multi-signature transactions, along with lower fees. This comes after successful activation of Taproot on the Bitcoin network, which officially activated on November 14th, 2021 following a multi-week period of community signaling.

Essentially, the successful activation of Taproot on the Bitcoin network concluded that the vast majority of the community agreed upon the importance of this upgrade and the features it can provide (e.g. blurring the difference between a multi-sig transaction from a single-sig and making the opening of a Lightning Network channel indistinguishable from an on chain Taproot transaction).

Contrary to Bitcoin, Taproot activation on Litecoin will occur via BIP8 with the purpose of trialling the same mechanism that will be used for Litecoin’s MWEB activation.

In the following thread, Litecoin and MWEB developer David Burkett explains the activation process.

Following the release of v0.21.1rc1, it’s expected for the largest-ever upgrade to the Litecoin network, MWEB, to be released shortly after.

How to Upgrade to v0.21.1rc1

If you are running an older version, shut it down. Wait until it has completely shut down (which might take a few minutes for older versions), then run the installer (on Windows) or just copy over /Applications/Litecoin-Qt (on Mac) or litecoind/litcoin-qt (on Linux).

The first time you run version 0.15.0 or newer, your chainstate database will be converted to a new format, which will take anywhere from a few minutes to half an hour, depending on the speed of your machine.

Note that the block database format also changed in version 0.8.0 and there is no automatic upgrade code from before version 0.8 to version 0.15.0 or later. Upgrading directly from 0.7.x and earlier without redownloading the blockchain is not supported. However, as usual, old wallet versions are still supported.

Compatibility

Litecoin Core is supported and extensively tested on operating systems using the Linux kernel, macOS 10.10+, and Windows 7 and newer. It is not recommended to use Litecoin Core on unsupported systems.

Litecoin Core should also work on most other Unix-like systems but is not as frequently tested on them.

From 0.17.0 onwards, macOS <10.10 is no longer supported.

Stay tuned for future Litecoin releases!

Get involved

Donate

As a not-for-profit organization, the Litecoin Foundation relies on community generosity!

Any and all donations are greatly appreciated, and will help further the development of Litecoin!

Newsletter

Our newsletter comes out fortnightly, with special giveaways, announcements on partnerships and development, and exclusive Litecoin news.

Sign up today and keep an eye on your inbox!

Thank you for signing up!
Please try again

Volunteer

If you’d like to use your expertise to promote, develop or grow Litecoin - or assist the Litecoin Foundation - we’d love to hear from you.

Simply fill in the form and we'll get back to you ASAP. Thank you in advance!

Copyright © 2022 Litecoin Foundation. | Privacy Policy